Arch RemoveShape: Difference between revisions

From FreeCAD Documentation
m (always first English)
No edit summary
(28 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand|Name=Arch RemoveShape|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Conversion Tools -> Remove Shape|SeeAlso=[[Arch MeshToShape]]}}
<translate>
<!--T:10-->
{{Docnav
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Module|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
==Description==
{{GuiCommand
|Name=Arch RemoveShape
|MenuLocation=Arch → Utilities → Remove Shape
|Workbenches=[[Arch_Module|Arch]]
|SeeAlso=[[Arch_SplitMesh|Arch SplitMesh]], [[Arch_MeshToShape|Arch MeshToShape]]
}}


==Description== <!--T:2-->
This tool attempts at removing the inner cubic shape of an [[Arch Wall]] or [[Arch Structure]], and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


<!--T:3-->
==How to use==
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==Usage== <!--T:4-->
# Select an [[Arch Wall]] or [[Arch Structure]]
# Press the {{KEY|[[Image:Arch RemoveShape.png|16px]] '''Remove Shape'''}} entry in Arch -> Conversion Tools menu


<!--T:5-->
==Scripting==
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}
# Press the {{Button|[[Image:Arch RemoveShape.svg|16px]]}} button or use {{KEY|Arch}} → {{KEY|Utilities}} → {{KEY|[[Image:Arch RemoveShape.svg|16px]] [[Arch RemoveShape|Remove Shape]]}} from the top menu.


==Scripting== <!--T:6-->
This tool can by used in [[macros]] and from the python console by using the following function:
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<!--T:7-->
'''removeShape (object)''': takes an arch object (wall or structure) built on a cubic shape, and removes
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
the inner shape, keeping its length, width and height as parameters.
</translate>
{{Code|code=
removeShape(objs, mark=True)
}}
<translate>


<!--T:8-->
* Takes a list of Arch objects ({{incode|objs}}) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
** {{incode|objs}} is a single object, [[Arch Wall]] or [[Arch Structure]], or a list of them.
* If {{incode|mark}} is {{incode|True}}, objects that cannot be processed by this function will become red.


</translate>
{{languages | {{it|Arch RemoveShape/it}} {{de|Arch RemoveShape/de}} }}
{{Code|code=
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()
}}
<translate>

<!--T:11-->
{{Docnav
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Module|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}

</translate>
{{Arch Tools navi{{#translation:}}}}

{{Userdocnavi{{#translation:}}}}

Revision as of 14:56, 29 November 2020

Arch RemoveShape

Menu location
Arch → Utilities → Remove Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch SplitMesh, Arch MeshToShape

Description

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Usage

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()